Bug 228947 - security/p5-Crypt-OpenSSL-ECDSA: Fails to build with OpenSSL 1.1
Summary: security/p5-Crypt-OpenSSL-ECDSA: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-06-12 14:36 UTC by Bernard Spil
Modified: 2018-12-18 08:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (perl)


Attachments
Fixes build with openssl 1.1 (392 bytes, patch)
2018-09-16 23:18 UTC, Nathan
no flags Details | Diff
Fix openssl 1.1 build (5.13 KB, patch)
2018-09-16 23:18 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-12 14:36:22 UTC
> unknown type name 'ECDSA_METHOD'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released.
Comment 1 Nathan 2018-09-16 23:18:10 UTC
Created attachment 197155 [details]
Fixes build with openssl 1.1

Fixed build for Openssl 1.1 in poudriere
Comment 2 Nathan 2018-09-16 23:18:43 UTC
Created attachment 197156 [details]
Fix openssl 1.1 build
Comment 3 commit-hook freebsd_committer 2018-11-27 22:13:50 UTC
A commit references this bug:

Author: swills
Date: Tue Nov 27 22:12:52 UTC 2018
New revision: 486067
URL: https://svnweb.freebsd.org/changeset/ports/486067

Log:
  security/p5-Crypt-OpenSSL-ECDSA: fix build with OpenSSL 1.1.1

  Bump PORTREVISION since this changes package on 11.x

  PR:		228947
  Submitted by:	brnrd

Changes:
  head/security/p5-Crypt-OpenSSL-ECDSA/Makefile
  head/security/p5-Crypt-OpenSSL-ECDSA/files/
  head/security/p5-Crypt-OpenSSL-ECDSA/files/patch-ECDSA.xs
Comment 4 Steve Wills freebsd_committer 2018-11-27 22:15:02 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2018-12-18 08:36:35 UTC
A commit references this bug:

Author: mat
Date: Tue Dec 18 08:36:28 UTC 2018
New revision: 487733
URL: https://svnweb.freebsd.org/changeset/ports/487733

Log:
  MFH: r486067

  security/p5-Crypt-OpenSSL-ECDSA: fix build with OpenSSL 1.1.1

  Bump PORTREVISION since this changes package on 11.x

  PR:		228947
  Submitted by:	brnrd

Changes:
_U  branches/2018Q4/
  branches/2018Q4/security/p5-Crypt-OpenSSL-ECDSA/Makefile
  branches/2018Q4/security/p5-Crypt-OpenSSL-ECDSA/files/